Bug 1434411 - Undefined Method Error virtual_custom_attribute_name for Chargeback Report OpenShift
Summary: Undefined Method Error virtual_custom_attribute_name for Chargeback Report Op...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: All
OS: All
unspecified
urgent
Target Milestone: GA
: 5.7.2
Assignee: Ari Zellner
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On: 1434159
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-21 13:05 UTC by Satoe Imaishi
Modified: 2020-05-14 15:47 UTC (History)
11 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1434159
Environment:
Last Closed: 2017-04-12 14:46:27 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-21 13:20:55 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/40cfb807ee4311dcc85672f23ee61bd0ed4c1ca9

commit 40cfb807ee4311dcc85672f23ee61bd0ed4c1ca9
Author:     Šimon Lukašík <isimluk@fedoraproject.org>
AuthorDate: Mon Mar 20 17:52:37 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Mar 21 09:15:21 2017 -0400

    Merge pull request #14395 from zeari/delegate_custom_attributes_to_images
    
    Delegate custom attributes to images in ChargebackContainerImage
    (cherry picked from commit 6d5d478e0bc6f2726bee568d49da070d6e94794a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1434411

 app/models/chargeback.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Jan Krocil 2017-03-31 12:11:20 UTC
Any tips on how to verify this one, please?

Comment 4 Einat Pacifici 2017-04-02 09:33:58 UTC
Ari, Please add some info on how to reproduce.
Einat

Comment 5 Ari Zellner 2017-04-02 09:45:20 UTC
Steps to reproduce:

1. create a charge based on container images report and add any of the label columns (the report fields of type 'Labels: <label name>')

2. run the report


the expected result is the report running successfully and the label columns added would be filled with the correct label data. you can check that the label data is correct by going to an images summary page and reviewing its labels.

Comment 6 Einat Pacifici 2017-04-02 10:07:38 UTC
Verified.
Created a chargeback report on labelled images. When setting up the columns I added the label:version column to the report. 
Queued the report. 
Outcome: Report generated successfully. 
label:version shows up as a column in the report. 
The correct label:version value is visible in the column for the right row of image information.

Comment 7 errata-xmlrpc 2017-04-12 14:46:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.